# vim: set fileencoding=utf-8 :

"""
Simple, ILP-based worker-slot-scheduling that optimizes for similar group sizes
and worker’s priorities.

Depends on gurobipy.
"""

import argparse
import scheduler
import generate
from .convert import *

def main ():
    parser = argparse.ArgumentParser(description='ILP worker scheduling.')
    subparsers = parser.add_subparsers ()

    scheduler.addParser (subparsers)
    importekvvParser = subparsers.add_parser ('importekvv', help='Import XML files from ekvv')
    importekvvParser.add_argument('files', nargs='+', help='input file')
    importekvvParser.set_defaults (func=mainImportEkvv)
    generate.addParser (subparsers)

    args = parser.parse_args()
    args.func (args)

