# Always prefer setuptools over distutils
from setuptools import setup, find_packages
# To use a consistent encoding
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='ilpscheduling',
    version='0.1',
    description='ILP scheduling using gurobipy',
    long_description=long_description,
    #url='https://github.com/pypa/sampleproject',
    # Author details
    author='Lars-Dominik Braun',
    author_email='lars@6xq.net',
    license='MIT',
    packages=find_packages(exclude=['contrib', 'docs', 'tests']),
    #install_requires=['gurobipy'],
    entry_points={
        'console_scripts': [
            'ilpsched=ilpscheduling:main',
        ],
    },
)
